<div class="container center">
  <label class="title"> {{'titleJustif' | translate}}</label>
  <div class="banner"></div>
  <div class="veuillez-confirmer">
    {{'descriptionJustif' | translate}}
  </div>
  <form [formGroup]="justificatifsForm">
    <mat-accordion class="example-headers-align form-margin" multi>

      <!-- Votre pièce d'identité nationale -->
      <mat-expansion-panel>
        <mat-expansion-panel-header>
          <mat-panel-title>
            {{'pieceNationale' | translate}}
          </mat-panel-title>
        </mat-expansion-panel-header>
        <div fxLayout="row" fxLayoutAlign="space-between center" class="btn-name-info  style-margin-row"
          fxLayout.xs="column">
          <div fxLayout="column" class="cin-layout">
            <label>{{'carteIdentité' | translate}}</label>

            <input matInput class="design-input" formControlName="numCarteIdentite" type="text" minlength="8" ngModel
              maxlength="8" required placeholder="0714021" pattern="[0-9]{3}-[0-9]{2}-[0-9]{3}" />
            <div
              *ngIf="justificatifsForm.controls.numCarteIdentite.invalid && (justificatifsForm.controls.numCarteIdentite.touched || submit)"
              class="form-text text-danger error-message">
              <div *ngIf="justificatifsForm.controls.numCarteIdentite.errors?.required"> {{'obligatoire' | translate}}
              </div>
            </div>

          </div>
          <div fxLayout="column">
            <label style="margin-top: -3px;margin-left: 30px;">{{'dateDelivrance' | translate}}</label>
            <mat-form-field>
              <input matInput type="date" class="date-input" style="margin-top: -3px;margin-left: 30px;"
                max="{{dateAujourdhuit | date:'yyyy-MM-dd'}}" formControlName="dateDelivranceCarteIdentite"
                [ngClass]="{ 'is-invalid': submit&&f.dateDelivranceCarteIdentite.errors}" required>
              <div
                *ngIf="justificatifsForm.controls.dateDelivranceCarteIdentite.invalid && (justificatifsForm.controls.dateDelivranceCarteIdentite.touched || submit)"
                class="form-text text-danger error-message">
                <div *ngIf="justificatifsForm.controls.dateDelivranceCarteIdentite.errors?.required"> {{'obligatoire' |
                  translate}}</div>

              </div>
            </mat-form-field>

          </div>
        </div>
        <div fxLayout="row" fxLayoutAlign="space-between center" class="btn-name-info  style-margin-row"
          fxLayout.xs="column">
          <div fxLayout="column" *ngIf="verficationUploadCinRecto">
            <div class="margin-title">
              <label>{{'rectoFile' | translate}}</label>
              <label class="file-label" for="cinRecto">
                <div class="text-file-content">
                  <span class="cliquez-ici-pour-slctionner-votre-fichier-ou-dplacez-le-ici">
                    <u>Cliquez ici</u> pour séléctionner
                    votre fichier ou déplacez-le ici
                  </span>
                  <span class="formats-autoriss-PNG-JPEG-PDF-DOCX">
                    Type: Png, jpg, pdf, docx. taille max. 5Mo
                  </span>
                </div>
              </label>
              <input class="design-input" style="display: none;"
                accept="application/pdf,image/x-png,image/gif,image/jpeg,.doc,.docx"
                (change)="uploadFile($event,'rectoFile')" id="cinRecto" type="file" required />
              <div *ngIf="sizeFileMax " class="form-text text-danger  error-message">
                <div> {{'obligatoireFile' | translate}}</div>
              </div>
            </div>

          </div>

          <!-- <mat-progress-bar *ngIf="progressFile" mode='indeterminate'></mat-progress-bar> -->
          <div *ngIf="!verficationUploadCinRecto">
            <app-dowanload-file [nameFile]="nameFileRecto" [idFile]="'rectoFile'" [label]="'rectoFile'"
              (dowanloadfilebyId)="downloadFile($event)" (deletefilebyId)="deleteFile($event)"></app-dowanload-file>
          </div>
          <div fxLayout="column" *ngIf="verficationUploadCinVerso">
            <div class="margin-title">
              <label>{{'versoFile' | translate}}</label>
              <label class="file-label" for="versoFile">
                <div class="text-file-content">
                  <span class="cliquez-ici-pour-slctionner-votre-fichier-ou-dplacez-le-ici">
                    <u>Cliquez ici</u> pour séléctionner
                    votre fichier ou déplacez-le ici
                  </span>
                  <span class="formats-autoriss-PNG-JPEG-PDF-DOCX">
                    Type: Png, jpg, pdf, docx. taille max. 5Mo
                  </span>
                </div>
              </label>
              <input class="design-input" style="display: none;"
                accept="application/pdf,image/x-png,image/gif,image/jpeg,.doc,.docx"
                (change)="uploadFile($event,'versoFile')" id="versoFile" type="file" required />


              <div *ngIf="sizeFileMax " class="form-text text-danger  error-message">
                <div> {{'obligatoireFile' | translate}}</div>
              </div>

            </div>

          </div>

          <div *ngIf="!verficationUploadCinVerso">
            <app-dowanload-file [nameFile]="nameFileVerso" [idFile]="'versoFile'"
              (dowanloadfilebyId)="downloadFile($event)" (deletefilebyId)="deleteFile($event)"></app-dowanload-file>
          </div>
        </div>
      </mat-expansion-panel>
      <!--Justificatif de votre deuxième nationalité -->
      <mat-expansion-panel>
        <mat-expansion-panel-header>
          <mat-panel-title>
            {{'justifNationalite' | translate}}
          </mat-panel-title>

        </mat-expansion-panel-header>
        <div fxLayout="row" fxLayoutAlign="space-between center" class="btn-name-info  style-margin-row">
          <div fxLayout="column" appearance="outline" class="size-row" *ngIf="verficationUploaNationalite">
            <div class="margin-title">
              <label> {{'deuxiemeNationalite' | translate}}</label>
            </div>
            <div>
              <label class="file-label-2" for="nationalite">
                <div class="text-file-content">
                  <span class="cliquez-ici-pour-slctionner-votre-fichier">
                    <u>{{'cliquezIci' | translate}}</u> {{'selecfichier' | translate}}
                  </span>
                  <span class="formats-autoriss-PNG-JPEG-PDF-DOCX">
                    {{'typeFile' | translate}}
                  </span>
                </div>
              </label>
              <input class="design-input-double-column"
                accept="application/pdf,image/x-png,image/gif,image/jpeg,.doc,.docx"
                (change)="uploadFile($event,'nationaliteFile')" style="display: none;" id="nationalite" type="file"
                required />
            </div>
          </div>
          <div *ngIf="!verficationUploaNationalite">
            <app-dowanload-file-double-column [nameFile]="nameFileNationalite" [idFile]="'nationaliteFile'"
              (deletefilebyId)="deleteFile($event)" (dowanloadfilebyId)="downloadFile($event)">
            </app-dowanload-file-double-column>
          </div>
        </div>
      </mat-expansion-panel>
      <!--Justificatif de votre résidence à l'étranger -->
      <mat-expansion-panel>
        <mat-expansion-panel-header>
          <mat-panel-title>
            {{'justifEtranger' | translate}}
          </mat-panel-title>

        </mat-expansion-panel-header>
        <div fxLayout="row" fxLayoutAlign="space-between center" class="btn-name-info  style-margin-row">
          <div fxLayout="column" appearance="outline" class="size-row">
            <label> {{'justifEtrangerList' | translate}}</label>
            <mat-form-field appearance="outline" class="adress-list">
              <mat-select (focus)="focusJustifiResidenceInput()" formControlName="residencyDocumentId"
                (selectionChange)="getValueResidencyId($event)" required>
                <mat-option *ngFor=" let residencyDocument of residencyDocumentList" [value]="residencyDocument.id">
                  {{lang === 'fr' ? residencyDocument.labelFR : residencyDocument.labelEN}}
                </mat-option>
              </mat-select>
              <div
                *ngIf="justificatifsForm.controls.residencyDocumentId.invalid && (justificatifsForm.controls.residencyDocumentId.touched || submit)">
                <small class="form-text text-danger  error-message "
                  *ngIf="justificatifsForm.controls.residencyDocumentId?.errors?.required"
                  jhiTranslate="entity.validation.required">
                  {{'obligatoire' | translate}}
                </small>
              </div>
            </mat-form-field>
            <div *ngIf="isJustifiResidenceInputFocused" class="polygone"></div>
            <div *ngIf="isJustifiResidenceInputFocused" class="input-info-desc-mail" fxLayout="row"
              fxLayoutAlign="space-around center">
              <div>
                <img src="../../../assets/img/Icon feather-file-text.svg">
              </div>
              <div style="padding-right: 70px;">
                <span>{{'carteSejour' | translate}} <br />{{'deuxResidence' | translate}}</span>
              </div>
            </div>
          </div>
        </div>
        <div fxLayout="row" fxLayoutAlign="space-between center" class="btn-name-info  style-margin-row">
          <div fxLayout="column" appearance="outline" class="size-row">

            <label> {{'pieceJustificativer' | translate}}</label>
            <input matInput class="design-input-double-column" formControlName="numDocumentJustif" ngModel
              maxlength="12" type="text" required placeholder="071 245 371 540" />
            <div
              *ngIf="justificatifsForm.controls.numDocumentJustif.invalid && (justificatifsForm.controls.numDocumentJustif.touched || submit)"
              class="form-text text-danger error-message">
              <div *ngIf="justificatifsForm.controls.numDocumentJustif.errors?.required"> {{'obligatoire' | translate}}
              </div>
            </div>

          </div>
        </div>
        <div fxLayout="row" fxLayoutAlign="space-between center" class="btn-name-info  style-margin-row">
          <div fxLayout="column">
            <div class="margin-title">
              <label style="margin-top: 20px;">{{'dateDelivrance' | translate}}</label>
            </div>
            <div>
              <mat-form-field>
                <input matInput type="date" class="date-input" style="margin-top: -30px;" formControlName="deliveryDate"
                  [ngClass]="{ 'is-invalid': submit&&f.deliveryDate.errors}" required>
                <div
                  *ngIf="justificatifsForm.controls.deliveryDate.invalid && (justificatifsForm.controls.deliveryDate.touched || submit)"
                  class="form-text text-danger error-message">
                  <div *ngIf="justificatifsForm.controls.deliveryDate.errors?.required"> {{'obligatoire' | translate}}
                  </div>
                </div>
              </mat-form-field>
            </div>
          </div>
          <div fxLayout="column" style="position: relative; margin-left: 70px; ">
            <div class="margin-title">
              <label style="margin-top: 20px;">{{'dateExpiration' | translate}}</label>
            </div>
            <div>
              <mat-form-field>
                <input matInput type="date" class="date-input" style="margin-top: -30px;"
                  formControlName="experationDate" [ngClass]="{ 'is-invalid': submit&&f.experationDate.errors}"
                  required>
                <div
                  *ngIf="justificatifsForm.controls.experationDate.invalid && (justificatifsForm.controls.experationDate.touched || submit)"
                  class="form-text text-danger error-message">
                  <div *ngIf="justificatifsForm.controls.experationDate.errors?.required"> {{'obligatoire' | translate}}
                  </div>
                </div>
              </mat-form-field>
              <div class="design-ckeckbox">
                <section>
                  <mat-checkbox class="example-margin" (change)="showOptions(checked)" value="checked"
                    formControlName="illimitedExperationDate">
                    <span class="design-date-illmiter">{{'dateIllmiter' | translate}}</span>
                    <!-- <img class="date-illimite" src="../../../assets/img/La date d'expiration est illimitée.svg"> -->
                  </mat-checkbox>
                </section>
              </div>
            </div>
          </div>
        </div>
        <div fxLayout="row" fxLayoutAlign="space-between center" class="btn-name-info  style-margin-row">
          <div fxLayout="column" *ngIf="verficationUploadResidencyRecto">
            <div class="margin-title">
              <label>{{'rectoFile' | translate}}</label>
              <label class="file-label" for="residencyRecto">
                <div class="text-file-content">
                  <span class="cliquez-ici-pour-slctionner-votre-fichier-ou-dplacez-le-ici">
                    <u>Cliquez ici</u> pour séléctionner
                    votre fichier ou déplacez-le ici
                  </span>
                  <span class="formats-autoriss-PNG-JPEG-PDF-DOCX">
                    Type: Png, jpg, pdf, docx. taille max. 5Mo
                  </span>
                </div>
              </label>
              <input class="design-input-double-column"
                accept="application/pdf,image/x-png,image/gif,image/jpeg,.doc,.docx"
                (change)="uploadFile($event,'residencyRecto')" id="residencyRecto" style="display: none;" type="file"
                required />
              <!-- <div *ngIf="verficationUploadResidencyRecto" class="form-text text-danger">
          <div > {{'obligatoireFile' | translate}}</div>
        </div> -->
            </div>
          </div>
          <div *ngIf="!verficationUploadResidencyRecto">
            <app-dowanload-file [nameFile]="nameFileResidencyRecto" [idFile]="'residencyRecto'"
              (dowanloadfilebyId)="downloadFile($event)" (deletefilebyId)="deleteFile($event)"></app-dowanload-file>
          </div>
          <div fxLayout="column" *ngIf="verficationUploadResidencyVerso">
            <div class="margin-title">
              <label>{{'versoFile' | translate}}</label>
              <label class="file-label" for="residencyVerso">
                <div class="text-file-content">
                  <span class="cliquez-ici-pour-slctionner-votre-fichier-ou-dplacez-le-ici">
                    <u>Cliquez ici</u> pour séléctionner
                    votre fichier ou déplacez-le ici
                  </span>
                  <span class="formats-autoriss-PNG-JPEG-PDF-DOCX">
                    Type: Png, jpg, pdf, docx. taille max. 5Mo
                  </span>
                </div>
              </label>
              <input class="design-input" style="display: none;"
                accept="application/pdf,image/x-png,image/gif,image/jpeg,.doc,.docx"
                (change)="uploadFile($event,'residencyVerso')" id="residencyVerso" type="file" required />
              <!-- <div *ngIf="verficationUploadResidencyRecto" class="form-text text-danger">
            <div > {{'obligatoireFile' | translate}}</div>
          </div> -->
            </div>
          </div>
          <div *ngIf="!verficationUploadResidencyVerso">
            <app-dowanload-file [nameFile]="nameFileResidencyverso" [idFile]="'residencyVerso'"
              (dowanloadfilebyId)="downloadFile($event)" (deletefilebyId)="deleteFile($event)"></app-dowanload-file>
          </div>
        </div>

        <div fxLayout="row" fxLayoutAlign="space-between center" class="btn-name-info  style-margin-row">
          <div fxLayout="column" appearance="outline" class="size-row">
            <div *ngFor="let residencyDoc of residencyList; let j=index">
              <div id="fileDataResidency{{j}}">
                <label class="file-label-2" [for]="j">
                  <div class="text-file-content">
                    <span class="cliquez-ici-pour-slctionner-votre-fichier">
                      <u>{{'cliquezIci' | translate}}</u> {{'selecfichier' | translate}}
                    </span>
                    <span class="formats-autoriss-PNG-JPEG-PDF-DOCX">
                      {{'typeFile' | translate}}
                    </span>
                  </div>
                </label>
                <input class="design-input-double-column"
                  accept="application/pdf,image/x-png,image/gif,image/jpeg,.doc,.docx"
                  (change)="uploadFileResidency($event,j)" name="autherFileResidency{{j}}" [id]="j"
                  style="display: none;" type="file" required />
              </div>

            </div>
            <span class="plus-icon-resedency">
              <img src="../../../assets/img/Composant 82 – 11.svg" (click)="addFormResidency()">
            </span>
          </div>
        </div>
        <div fxLayout="row" fxLayoutAlign="space-between center" class="btn-name-info  style-margin-row">

          <div fxLayout="column" appearance="outline" class="size-row">

            <div *ngFor="let residencyDoc of revenuListOtherResidencyFileList; let j=index">
              <label> </label>
              <div class="rectangle-31 ">
                <div class="styleFile">
                  <div id="imagegauche" class="icon-awesome-image">
                    <img src="../../../assets/img/Icon awesome-image.svg" />
                  </div>
                  <div id="texte">
                    <button type="button" class="btn div-button  btn-link nameFileStyle "
                      (click)="downloadFileFileAutherResidency(residencyDoc.id)">{{residencyDoc.path |
                      nameFileStyle}}</button>

                    <!-- <h5>
          <span class="design-file-name">  {{residencyDoc.path | nameFileStyle}}  </span> </h5>  -->
                  </div>
                  <ng-container *ngIf="residencyDoc.id ">
                    <button id="imagedroite" class="icon-delete-file" (click)="deleteResidency(residencyDoc.id,j)">
                      <img src="../../../assets/img/Composant 13 – 16.svg" />
                    </button>
                  </ng-container>
                </div>
              </div>
            </div>
          </div>
        </div>
        <mat-progress-bar *ngIf="progress2" mode='indeterminate'></mat-progress-bar>
      </mat-expansion-panel>
      <!-- Justificatif de votre/vos revenu(s) -->
      <mat-expansion-panel>
        <mat-expansion-panel-header>
          <mat-panel-title>
            {{'justifRevenu' | translate}}
          </mat-panel-title>
        </mat-expansion-panel-header>
        <div fxLayout="row" fxLayoutAlign="space-between center" class="btn-name-info  style-margin-row"
          class="size-row">
          <div fxLayout="column" appearance="outline" class="size-row">
            <div class="margin-title">
              <label> {{'revenuList' | translate}}</label>
            </div>
            <mat-form-field appearance="outline" class="adress-list">
              <mat-select formControlName="justifRevenuId" (selectionChange)="getValueJustifRevenuId($event)">
                <mat-option *ngFor=" let justifRevenu of allTypeJustifRevenuList" [value]="justifRevenu.id">
                  {{lang === 'fr' ? justifRevenu.labelFR : justifRevenu.labelEN}}


                </mat-option>
              </mat-select>
              <div
                *ngIf="justificatifsForm.controls.justifRevenuId.invalid && (justificatifsForm.controls.justifRevenuId.touched || submit)">
                <small class="form-text text-danger error-message"
                  *ngIf="justificatifsForm.controls.justifRevenuId?.errors?.required"
                  jhiTranslate="entity.validation.required">
                  {{'obligatoire' | translate}}
                </small>
              </div>
            </mat-form-field>
          </div>
        </div>


        <div fxLayout="row" fxLayoutAlign="space-between center" class="btn-name-info  style-margin-row">
          <div fxLayout="column" appearance="outline" class="size-row">
            <div *ngFor="let justifRevenu of revenuList; let i=index">
              <div id="fileDataRevenue{{i}}">
                <label class="file-label-2" [for]="i">
                  <div class="text-file-content">
                    <span class="cliquez-ici-pour-slctionner-votre-fichier">
                      <u>{{'cliquezIci' | translate}}</u> {{'selecfichier' | translate}}
                    </span>
                    <span class="formats-autoriss-PNG-JPEG-PDF-DOCX">
                      {{'typeFile' | translate}}
                    </span>
                  </div>
                </label>
                <input class="design-input-double-column"
                  accept="application/pdf,image/x-png,image/gif,image/jpeg,.doc,.docx"
                  (change)="uploadFileRevenu($event,i)" name="autherFileRevenue{{i}}" [id]="i" style="display: none;"
                  type="file" required />
              </div>
            </div>
            <span class="plus-icon-revenu">
              <img src="../../../assets/img/Composant 82 – 11.svg" (click)="addFormRevenu()">
            </span>
          </div>
        </div>
        <div fxLayout="row" fxLayoutAlign="space-between center" class="btn-name-info  style-margin-row">
          <div fxLayout="column" appearance="outline" class="size-row">

            <div *ngFor="let justifRevenuAther of revenuListOtherRevenuFileList; let i=index">
              <label> </label>
              <div class="rectangle-31 ">
                <div class="styleFile">
                  <div id="imagegauche" class="icon-awesome-image">
                    <img src="../../../assets/img/Icon awesome-image.svg" />
                  </div>
                  <div id="texte">
                    <button type="button" class="btn div-button  btn-link nameFileStyle "
                      (click)="downloadFileFileRevenu(justifRevenuAther.id)"> {{justifRevenuAther.path |
                      nameFileStyle}}</button>
                  </div>
                  <ng-container *ngIf="justifRevenuAther.id ">
                    <button id="imagedroite" class="icon-delete-file"
                      (click)="deleteFiledRevenu(justifRevenuAther.id,i)">
                      <img src="../../../assets/img/Composant 13 – 16.svg" />
                    </button>
                  </ng-container>
                </div>
              </div>
            </div>
          </div>
        </div>
        <mat-progress-bar *ngIf="progress" mode='indeterminate'></mat-progress-bar>
      </mat-expansion-panel>
      <!-- Justificatif de vos indices d'américanité -->
      <mat-expansion-panel>
        <mat-expansion-panel-header>
          <mat-panel-title>
            {{'justifAmericanite' | translate}}
          </mat-panel-title>
        </mat-expansion-panel-header>
        <div fxLayout="row" fxLayoutAlign="space-between center" class="btn-name-info  style-margin-row">
          <div fxLayout="column" appearance="outline" class="size-row" *ngIf="verficationUploadFatca">
            <div class="margin-title">
              <label style="position: relative;"> {{'fatcaDocument' | translate}}</label>
              <div style="position: absolute; left: 150px; top:65px"> <img
                  src="../../../assets/img/Icon feather-download2.svg"> <button type="button"
                  class="tlcharger-votre-document-FATCA-ici"
                  (click)="downloadFileFatca(1)">{{'downaloadFatca'|translate}}</button> </div>

            </div>
            <div>
              <label class="file-label-2" for="fitca">
                <div class="text-file-content">
                  <span class="cliquez-ici-pour-slctionner-votre-fichier">
                    <u>{{'cliquezIci' | translate}}</u> {{'selecfichier' | translate}}
                  </span>
                  <span class="formats-autoriss-PNG-JPEG-PDF-DOCX">
                    {{'typeFile' | translate}}
                  </span>
                </div>
              </label>
              <input class="design-input-double-column"
                accept="application/pdf,image/x-png,image/gif,image/jpeg,.doc,.docx"
                (change)="uploadFile($event,'fitcaFile')" style="display: none;" id="fitca" type="file" required />
            </div>
          </div>
          <div>
            <app-dowanload-file-double-column [nameFile]="nameFileFatca" [idFile]="'fitcaFile'"
              [title]="'fatcaDocument'" (deletefilebyId)="deleteFile($event)"></app-dowanload-file-double-column>
          </div>
        </div>
      </mat-expansion-panel>
    </mat-accordion>

    <div fxLayout="row" fxLayoutAlign="space-evenly center" [style.margin-top.px]="50">
      <button class="btn-retour ret" fxLayout="row" fxLayoutAlign="space-evenly center"><span class="material-icons">
          arrow_back_ios
        </span><span class="Retour">{{'back-btn' | translate}}</span></button>
      <button type="submit" class="btn-continuer" (click)="next()" (click)="onSubmit()"><span
          class="continuer">{{'continue' | translate}}</span></button>
    </div>



















  </form>

</div>